Requisitos

e compatibilidade 

A biblioteca (DLL) NFS-e Easy® requer a instalação do Microsoft .NET Framework 4.0.

A biblioteca pode ser utilizada por qualquer linguagem de programação do ambiente Windows 32 como Delphi 5/6/7 e posteriores, VB 6.0, VBA, VFP 8.0/9.0, C++, ASP, ambiente .NET como C#, VB .NET, Delphi .NET, ASP.NET entre outros, linguagem Java, PHP, entre outros.

A interface NFS-e Easy® é compatível com certificados digitais dos tipos A1 e A3. Ao utilizar o A3, será solicitada a senha quando acessar e pode restringir o uso simultâneo para vários usuários da mesma empresa, neste sentido, o tipo A1 é mais interessante e fácil de utilizar.


Uma Dynamic-Link Library (biblioteca de vínculo dinâmico) ou DLL, é a implementação feita pela Microsoft para o conceito de bibliotecas compartilhadas nos sistemas operacionais Microsoft Windows e OS/2.


Chamar DLLs e funções (APIs) do Windows é algo necessário em muitas situações, por exemplo, um fornecedor de hardware de impressoras fiscais ou leitor de código de barras fornece uma DLL que deve ser chamada pela aplicação. Esta abordagem de fornecer biblioteca (DLL) é uma das soluções oferecidas pelo NFS-e Easy®, simples e eficiente.


Muitas soluções de NF-e ou NFS-e não suportam algumas linguagens de programação por não oferecerem exportação de métodos para linguagens de programação não gerenciadas como VB, C++, Lotus Notes, Visual Fox Pro (VFP), entre outros.


A solução NFS-e Easy® oferece os métodos para serem consumidos com objetos COM/COM+ ou referenciadas diretamente pelas linguagens que suportam código gerenciado. Funciona muito bem com Delphi, soluções Orale, ambiente .Net entre outros.